import { AbstractChecker, Card } from "./AbstractChecker";

export class RegexChecker extends AbstractChecker {
	declare info: any;
	regexObj: RegExp;
	async initialize() {

	}
	async setInfo(info: any) {
		await super.setInfo(info);
		this.regexObj = new RegExp(info.pattern);
	}
	check(card: Card) {
		return !!(card[this.info.field] as string).match(this.regexObj);
	}
}
